Sandbox Groups - List By Resource Group

List SandboxGroup resources by resource group

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerInstance/sandboxGroups?api-version=2026-07-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

SandboxGroupListResult

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List SandboxGroups by resource group

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerInstance/sandboxGroups?api-version=2026-07-01

Sample response

{
  "value": [
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerInstance/sandboxGroups/mySandboxGroup",
      "name": "mySandboxGroup",
      "type": "Microsoft.ContainerInstance/sandboxGroups",
      "location": "eastus",
      "tags": {
        "environment": "test"
      },
      "properties": {
        "provisioningState": "Succeeded",
        "networkProfile": {
          "subnets": [
            {
              "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Network/virtualNetworks/myVNet/subnets/mySubnet"
            }
          ]
        },
        "managementResourceGroupId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/mySandboxGroup-mrg"
      }
    }
  ]
}

Definitions

Name Description
CloudError

An error response from the Container Instance service.

CloudErrorBody

An error response from the Container Instance service.

createdByType

The type of identity that created the resource.

ManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

SandboxGroup

A SandboxGroup tracked resource.

SandboxGroupListResult

The response of a SandboxGroup list operation.

SandboxGroupNetworkProfile

The network profile for a SandboxGroup.

SandboxGroupProperties

Properties of a SandboxGroup.

SandboxGroupProvisioningState

The provisioning state of a SandboxGroup resource.

SubnetReference

A reference to a subnet resource.

systemData

Metadata pertaining to creation and last modification of the resource.

UserAssignedIdentities

The list of user identities associated with the container group. The user identity dictionary key references will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}'.

CloudError

An error response from the Container Instance service.

Name Type Description
error

CloudErrorBody

An error response from the Container Instance service.

CloudErrorBody

An error response from the Container Instance service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

Name Type Description
principalId

string (uuid)

The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.

tenantId

string (uuid)

The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.

type

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

userAssignedIdentities

UserAssignedIdentities

The list of user identities associated with the container group. The user identity dictionary key references will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}'.

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

Value Description
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

SandboxGroup

A SandboxGroup tracked resource.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

ManagedServiceIdentity

The managed service identities assigned to this resource.

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties

SandboxGroupProperties

The resource-specific properties for this resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

SandboxGroupListResult

The response of a SandboxGroup list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

SandboxGroup[]

The SandboxGroup items on this page

SandboxGroupNetworkProfile

The network profile for a SandboxGroup.

Name Type Description
subnets

SubnetReference[]

The list of subnets associated with the SandboxGroup.

SandboxGroupProperties

Properties of a SandboxGroup.

Name Type Description
managementResourceGroupId

string (arm-id)

The ARM resource ID of the management resource group associated with this SandboxGroup.

networkProfile

SandboxGroupNetworkProfile

The network profile of the SandboxGroup.

provisioningState

SandboxGroupProvisioningState

The status of the last operation.

SandboxGroupProvisioningState

The provisioning state of a SandboxGroup resource.

Value Description
Succeeded

Resource has been created.

Failed

Resource creation failed.

Canceled

Resource creation was canceled.

Updating

The resource is being updated.

Deleting

The resource is being deleted.

Accepted

The resource provisioning request was accepted but not yet started.

SubnetReference

A reference to a subnet resource.

Name Type Description
id

string (arm-id)

The ARM resource ID of the subnet. The caller must have Microsoft.Network/virtualNetworks/subnets/join/action permission on this subnet (enforced via a linked access check at create/update time).

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UserAssignedIdentities

The list of user identities associated with the container group. The user identity dictionary key references will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}'.

Name Type Description
clientId

string

The client id of user assigned identity.

principalId

string

The principal id of user assigned identity.